#include "CircularMovement.h"

CircularMovement::CircularMovement(std::vector<glm::vec3> controlPoints, GLfloat duration, const glm::vec3& direction)
    : controlPoints(controlPoints), duration(duration), direction(direction) {}

void CircularMovement::execute(Camera& camera, GLfloat deltaTime) {
    bool movementFinished = camera.followPathLookDirection(deltaTime, &direction);
    if (movementFinished) {
        finished = true;
    }
}

GLfloat CircularMovement::getDuration() {
    return duration;
}

std::vector<glm::vec3> CircularMovement::getControlPoints() {
    return controlPoints;
}