#ifndef CONCERTLIGHT_H
#define CONCERTLIGHT_H

#include "Model.h"
#include "SpotLight.h"

class ConcertLight {
public:
    ConcertLight();

    ConcertLight(Model lamp,
        SpotLight spotlight,
        glm::vec3 spotlightOffset);

    void updateSpotlight();

    Model& getLamp();
    SpotLight& getSpotlight();

    glm::vec3 getPosition() const;
    glm::vec3 getRotation() const;

    void SetPosition(glm::vec3 newPos);
    void SetRotation(glm::vec3 newRot);

    void blink(bool on, GLfloat deltaTime);
    void colorChange(glm::vec3 color);
    void swirl();
    void swirlButFaster(GLfloat deltaTime);
    void lookDown();
    void lookStage();
    void lookDJ();

private:
    Model lamp;
    SpotLight spotlight;
    glm::vec3 spotlightOffset;

    glm::vec3 position = glm::vec3(0.0f);
    glm::vec3 rotation = glm::vec3(0.0f);;
};

#endif 