#include "LinearMovement.h"
#include <iostream>

LinearMovement::LinearMovement(std::vector<glm::vec3> controlPoints, GLfloat duration)
    : controlPoints(controlPoints), duration(duration) {}

void LinearMovement::execute(Camera& camera, GLfloat deltaTime) {
    bool movementFinished = camera.followPathLookAhead(deltaTime);
    if (movementFinished) {
        finished = true;
    }
}

GLfloat LinearMovement::getDuration() {
    return duration;
}

std::vector<glm::vec3> LinearMovement::getControlPoints() {
    return controlPoints;
}