#pragma once
#include "CameraMovement.h"
#include <glm/glm.hpp> 
#include <glm/gtx/spline.hpp>
#include "Camera.h"

class LinearMovement : public CameraMovement {
public:
    LinearMovement(std::vector<glm::vec3> controlPoints, GLfloat duration);
    void execute(Camera& camera, GLfloat deltaTime) override;
    std::vector<glm::vec3> getControlPoints() override;
    GLfloat getDuration() override;
    

private:
    std::vector<glm::vec3> controlPoints;
    GLfloat duration, elapsedTime = 0.0f;
};

