#include "ParticleCircularMovement.h"
#include <cmath>

ParticleCircularMovement::ParticleCircularMovement(glm::vec3 center, float radius, float speed, float offset)
    : center(center), radius(radius), speed(speed), offset(offset) {}

glm::vec3 ParticleCircularMovement::GetPosition(float deltaTime) {
    return glm::vec3(
        center.x + cos(deltaTime * speed + offset) * radius, 
        center.y + sin(deltaTime * speed + offset) * radius, 
        center.z                                          
    );
}

