#include "TargetMovement.h"

TargetMovement::TargetMovement(std::vector<glm::vec3> controlPoints, GLfloat duration, const glm::vec3& direction)
    : controlPoints(controlPoints), duration(duration), direction(direction) {}

void TargetMovement::execute(Camera& camera, GLfloat deltaTime) {
    bool movementFinished = camera.followPathLookTarget(deltaTime, &direction);
    if (movementFinished) {
        finished = true;
    }
}

GLfloat TargetMovement::getDuration() {
    return duration;
}

std::vector<glm::vec3> TargetMovement::getControlPoints() {
    return controlPoints;
}