#pragma once
#include "CameraMovement.h"
class TargetMovement : public CameraMovement {
public:
    TargetMovement(std::vector<glm::vec3> controlPoints, GLfloat duration, const glm::vec3& direction); // Take direction by reference
    void execute(Camera& camera, GLfloat deltaTime) override;
    std::vector<glm::vec3> getControlPoints() override;
    GLfloat getDuration() override;

private:
    std::vector<glm::vec3> controlPoints;
    GLfloat duration, elapsedTime = 0.0f;
    glm::vec3 direction;
};